# Copyright (c) 2008 Camille Maumet
# GPL >= 3 (LICENSE.txt) licenses.

from django.conf.urls.defaults import *
from microarraySite.analyseMicroarrayData.models import Experiment, Dataset

info_dict_expe = {
    'queryset': Experiment.objects.all(),
}

info_dict_dataset = {
    'queryset': Dataset.objects.all(),
}
 
urlpatterns = patterns('',
    # Home page
    (r'^$', 'microarraySite.analyseMicroarrayData.views.index'),
    (r'^upload_dataset/$', 'microarraySite.analyseMicroarrayData.views.newDataset'),
    # Datasets listing
    #(r'^datasets/$', 'django.views.generic.list_detail.object_list', dict(info_dict_dataset, template_name='analyseMicroarrayData/datasets.html')),
    (r'^datasets/$', 'microarraySite.analyseMicroarrayData.views.datasets'),
    (r'^classification/$', 'microarraySite.analyseMicroarrayData.views.classification'),
    # Experiments listing
    (r'^experiments/$', 'microarraySite.analyseMicroarrayData.views.experiments'),
    (r'^summary_experiment/(?P<expe_id>\d+)/$', 'microarraySite.analyseMicroarrayData.views.show_experiments'),
    (r'^details_experiment/(?P<expe_id>\d+)/$', 'microarraySite.analyseMicroarrayData.views.show_experiments_details'),
    (r'^delete_experiment/(?P<expe_id>\d+)/$', 'microarraySite.analyseMicroarrayData.views.delete_experiment'),
    (r'^delete_dataset/(?P<dataset_id>\d+)/$', 'microarraySite.analyseMicroarrayData.views.delete_dataset'),
    (r'^classify_new_samples/(?P<expe_id>\d+)/$', 'microarraySite.analyseMicroarrayData.views.classify_new_samples'),
    (r'^classify_new_samples_results/(?P<expe_id>\d+)/(?P<new_samples_file>\d+)$', 'microarraySite.analyseMicroarrayData.views.classify_new_samples_results'),
    (r'^genes_selected_one_layer_cv/(?P<expe_id>\d+)/(?P<repeat>\d+)/(?P<offset>\d+)/(?P<displayImage>\d)/$', 'microarraySite.analyseMicroarrayData.views.genes_selected_one_layer_cv'),
)